.glider,.glider-contain{margin:0 auto;position:relative}.glider,.glider-track{transform:translateZ(0)}.glider-dot,.glider-next,.glider-prev{border:0;padding:0;user-select:none;outline:0}.glider-contain{width:100%}.glider{overflow-y:hidden;-webkit-overflow-scrolling:touch;-ms-overflow-style:none}.glider-track{width:100%;margin:0;padding:0;display:flex;z-index:1}.glider.draggable{user-select:none;cursor:-webkit-grab;cursor:grab}.glider.draggable .glider-slide img{user-select:none;pointer-events:none}.glider.drag{cursor:-webkit-grabbing;cursor:grabbing}.glider-slide{user-select:none;justify-content:center;align-content:center;width:100%;min-width:150px}.glider-slide img{max-width:100%}.glider::-webkit-scrollbar{opacity:0;height:0}.glider-next,.glider-prev{position:absolute;background:0 0;z-index:2;font-size:40px;text-decoration:none;left:-23px;top:30%;cursor:pointer;color:#666;opacity:1;line-height:1;transition:opacity .5s cubic-bezier(.17,.67,.83,.67),color .5s cubic-bezier(.17,.67,.83,.67)}.glider-next:focus,.glider-next:hover,.glider-prev:focus,.glider-prev:hover{color:#ccc}.glider-next{right:-23px;left:auto}.glider-next.disabled,.glider-prev.disabled{opacity:.25;color:#666;cursor:default}.glider-hide{opacity:0}.glider-dots{user-select:none;display:flex;flex-wrap:wrap;justify-content:center;margin:0 auto;padding:0}.glider-dot{display:block;cursor:pointer;color:#ccc;border-radius:999px;background:#ccc;width:12px;height:12px;margin:7px}.glider-dot:focus,.glider-dot:hover{background:#ddd}.glider-dot.active{background:#a89cc8}@media(max-width:36em){.glider::-webkit-scrollbar{opacity:1;-webkit-appearance:none;width:7px;height:3px}.glider::-webkit-scrollbar-thumb{opacity:1;border-radius:99px;background-color:rgba(156,156,156,.25);-webkit-box-shadow:0 0 1px rgba(255,255,255,.25);box-shadow:0 0 1px rgba(255,255,255,.25)}}

---

.card-item-custom, 
.carousel-item {
    box-sizing: border-box;
}

:target::before {
    content: "";
    display: block;
    height: 58px; /* Höhe der Navbar */
    margin-top: -58px;
}


@keyframes slideInFromRight {
    0% { transform: translateX(-50px); opacity: 0; }
    100% { transform: translateX(0); opacity: 1; }
}

.card-item-custom .card {
    min-height: 450px !important; /* Erzwingt die Mindesthöhe für Mobile/Standard */
    
    cursor: pointer;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    width: 100%;
}

@media (min-width: 768px) {
    .card-item-custom .card {
        min-height: 480px !important; /* Erzwingt die Mindesthöhe */
    }
}

@media (min-width: 1200px) {
    .card-item-custom .card {
        min-height: 400px !important; /* Erzwingt die Mindesthöhe */
    }
}

.glider {
    /* Für Internet Explorer und Edge */
    -ms-overflow-style: none;
    /* Für Firefox */
    scrollbar-width: none;
}

.glider::-webkit-scrollbar {
    /* Für Chrome, Safari und Opera */
    display: none;
}

#projects .glider {
    transition: none !important; 
}

.card-item-custom .card {
    min-height: 450px;
    
    cursor: pointer;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    width: 100%;
}

@media (min-width: 768px) {
    .card-item-custom .card {
        min-height: 480px; 
    }
}

@media (min-width: 1200px) {
    .card-item-custom .card {
        min-height: 400px;
    }
}

.card-item-custom .card:hover {
    transform: translateY(-3px) scale(1.01); 
    box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.2) !important; 
}

.card-body.d-flex.flex-column {
    flex-grow: 1; 
}

/* Hover Effekt */
.glider-prev:hover,
.glider-next:hover {
    background-color: #0b5ed7; 
    transform: translateY(-50%) scale(1.05);
}

/* Deaktivierte Pfeile */
.glider-prev.disabled, 
.glider-next.disabled {
    opacity: 0.5;
    cursor: not-allowed;
    pointer-events: none; 
}  

.banner_RStudio {
  background-color: #76AADA !important;
}

.banner_Python {
  background-color: #FFD43B !important;
}

.banner_MySQL {
  background-color: #00758f !important; /* Alternativ dieses orange #f29111 */
}

.tag-detail-item {
    background-color: #2C5766 !important;
    color: white !important;
    padding: 0.4em 0.6em;
    border-radius: 4px;
}
.bg-light {
    background-color: #e9ecef !important;
}
